API referenceWhatsApp
GET /whatsapp/accounts/{id}/media/{waMediaId}
Media info; download=1 streams the bytes instead (Content-Type, Content-Length, Content-Disposition: attachment). Works for inbound attachment ids
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringWhatsApp account id
waMediaId*stringWhatsApp media id
download?stringStream the bytes
Value in
"1""true"MediaInfo as {accountId, media}, or the file with download=1
- response
accountId?stringmedia?curl -X GET 'https://example.com/api/v1/whatsapp/accounts/string/media/string'Example Response
{ "accountId": "string", "media": { "id": "string", "mimeType": "string", "sha256": "string", "size": 0 }}